#ifndef CAMERAHEADER
#define CAMERAHEADER

#include "RenderableObject.h"

class Camera : public RenderableObject
{
public:
	Camera();
	~Camera();
	void Draw();
	void SetView();

	void SetCentre(const Vector3 & targ);
	void SetDist(const float dist);
	void SetOrbitAngle(const float t,const float p);

	void Orbit();
private:

protected:

	Vector3 centre;
	float dist,theta,phi;

};

#endif