#ifndef POINTLIGHTHEADER
#define POINTLIGHTHEADER

#include "RenderableObject.h"

class PointLight : public RenderableObject
{
public:
	PointLight();
	~PointLight();
	void Draw();
	bool Switch(bool onoff);

	void SetDiffuse(GLfloat r,GLfloat g,GLfloat b);
	void SetAmbient(GLfloat r,GLfloat g,GLfloat b);
	void SetSpecular(GLfloat r,GLfloat g,GLfloat b);

	void SetPos(GLfloat x,GLfloat y,GLfloat z);
private:

protected:

	bool status;
	int lightNum;

	GLfloat diffuse[4];
	GLfloat ambient[4];
	GLfloat specular[4];
};

#endif