#ifndef STATEHEADER
#define STATEHEADER

#include <vector>
#include "Enums.h"


// Prevent circular header reference with forward declaration
class Agent;


class State
{
	Agent * agent;
	float style, skill, strength, energy;


public:
	State();
	~State();
	void SetAgent(Agent * a);
	void SetStrength(float str);
	float FinishAction(ActionTerminator at);

	float GetEnergy();
};

#endif