#ifndef BEHAVIORROUTINESHEADER
#define BEHAVIORROUTINESHEADER

#include <string>
#include "Enums.h"


// Prevent circular header reference with forward declaration
class Agent;


class BehaviorRoutines
{
	Agent * agent;

	std::string FaceOpponent();
	std::string Recover();
	std::string ApproachOpponent();
	std::string Evade();
	std::string Attack();
	std::string Defend();
	std::string EscapeRopes();


public:
	BehaviorRoutines();
	~BehaviorRoutines();
	void SetAgent(Agent * a);
	bool PlayIntention(Intention intention);
};

#endif