#ifndef TESTSCENEHEADER
#define TESTSCENEHEADER
#include "Repetoire.h"
#include "Scene.h"
#include "TimeStamp.h"
#include "SkelChar.h"
#include "KeyFrameAnim.h"
#include "Camera.h"
#include "PointLight.h"
#include "Axis3D.h"
#include "Actor.h"

class TestScene : public Scene
{
	TimeStamp initTime;
	TimeStamp lastUpdate;
	TimeStamp animStartTime;
	int updates;
	double renderTime,updateTime,interval;
	Camera theCamera,overhead;
	PointLight frontLight,overheadLight;
	Actor boxer, avatar;
	void HandleInput();

	float theta,phi,dist; //camera coords
public:
	TestScene();
	~TestScene();
	bool Initialize();
	void RenderPersp();
	void RenderOrtho();
	void Update();

};

#endif 