#ifndef TIMESTAMPHEADER
#define TIMESTAMPHEADER
#include "windows.h"

class TimeStamp
{
	static LARGE_INTEGER timeZero;
	static LARGE_INTEGER freq;
	LARGE_INTEGER time;

public:
	static void SetTimeZero();
	TimeStamp();
	~TimeStamp();
	
	double Msec() const;
	double Interval(const TimeStamp & t) const;
	void Reset();
	friend bool operator<(const TimeStamp & t1,const TimeStamp & t2);


};


#endif